Package org.stianloader.micromixin.transform.internal.util.commenttable

## Class CommentTable

- java.lang.Object
- - org.stianloader.micromixin.transform.internal.util.commenttable.CommentTable

    public class CommentTable
    extends java.lang.Object

### Constructor Summary

Constructors
`CommentTable()`

### Method Summary

All Methods Instance Methods Concrete Methods
`CommentTable` `addSection​(CommentTableSection sect)`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CommentTable

    public CommentTable()

### Method Detail

#### addSection

    @NotNull
    @Contract(mutates="this",
              pure=false,
              value="null -> fail; !null -> this")
    public CommentTable addSection​(@NotNull
                                   CommentTableSection sect)

#### toString

    @NotNull
    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`